Bug 3901 - Rollover on Serial showing 9999999
Summary: Rollover on Serial showing 9999999
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: 3.8
Hardware: PC All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Bugs List
URL: cgi-bin/koha/serials/subscription-det...
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-11 01:37 UTC by Nicole C. Engard
Modified: 2012-10-25 23:09 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
9999999 (21.54 KB, image/png)
2009-12-11 13:37 UTC, Chris Cormack
Details
Bug 3901: Rollover on serials summary showing 9999999 (1.75 KB, patch)
2012-02-19 14:41 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 3901: Rollover on serials summary showing 9999999 (1.75 KB, patch)
2012-02-21 05:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 3901: Rollover on serials summary showing 9999999 (1.75 KB, patch)
2012-02-21 05:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 3901: Rollover on serials summary showing 9999999 (1.85 KB, patch)
2012-02-25 21:48 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:20:47 UTC


---- Reported by nengard@gmail.com 2009-12-11 13:37:19 ----

Created an attachment
9999999

On the subscription detail page there is a 9999999 in the rollover field which used to remain blank ...



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:20 UTC  ---

This bug was previously known as _bug_ 3901 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3901
Imported an attachment (id=1664)

Actual time not defined. Setting to 0.0
The original submitter of attachment 1664 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Paul Poulain 2011-08-02 14:26:52 UTC
Nicole I don't understand the problem, could you give more details ?
Comment 2 Nicole C. Engard 2011-08-02 14:57:02 UTC
See the attached image - where is that '9999999' coming from - why not leave it showing blank in that field. I think this is more a template issue than a Serials issue.
Comment 3 Paul Poulain 2011-08-02 15:27:21 UTC
The 999999 is stored internally to say "never return back to 0"
Maybe it was hired from display (I don't remember). That's just a display problem then (I was fearing it should not have been stored)
Comment 4 Nicole C. Engard 2011-08-02 16:09:42 UTC
Yes, just a display problem - while the data needs to be stored it's confusing to the average librarian to see that all of the sudden when they didn't enter that information in the system.

Nicole
Comment 5 Katrin Fischer 2012-02-19 14:41:37 UTC Comment hidden (obsolete)
Comment 6 Chris Cormack 2012-02-21 02:13:22 UTC
Katrin you have

 [% IF ( whenmorethan1 < 9999999 ) %][% whenmorethan2 %][% ELSE %]Never[% END %]

Shouldn't the second one be whenmorethan1 (same for the whenmorethan3 later in the patch too)
Comment 7 Katrin Fischer 2012-02-21 05:40:43 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2012-02-21 05:41:44 UTC
Copy and paste errors - hopefully fixed with new patch. Thx Chris!
Comment 9 Katrin Fischer 2012-02-21 05:43:48 UTC Comment hidden (obsolete)
Comment 10 Jared Camins-Esakov 2012-02-25 21:48:08 UTC
Created attachment 7880 [details] [review]
Bug 3901: Rollover on serials summary showing 9999999

For Rollover 9999999 the planning tab on the subscription will now show 'Never'.

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 11 Paul Poulain 2012-02-27 14:15:38 UTC
QA comment:
tiny display change, passed QA